function bci_doTF(data)

% bci_doTF(data)
% calculates the time-frequency transforms of the 28 channel data
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

OUTpath = [bci_path 'EEGdata/TFv6/'];
wavCyc = [3 0.5];
srate = 200;
winSize = 60;
numWin = 70;
maxfreq = 45;
padratio = 2;
tlim = [-1000 5000];

freqs = srate*wavCyc(1)/winSize*[2:2/padratio:winSize]/2;
dispf = find(freqs <= maxfreq);
dispf = freqs(dispf)

wintime = 1000/srate*(winSize/2);
dispt = [tlim(1)+wintime:(tlim(2)-tlim(1)-2*wintime)/(numWin-1):tlim(2)-wintime]


for chan_nr = 7:size(data,3)

    TFmat = zeros(size(data,1),length(dispf),numWin);

    for trial_nr = 1:size(data,1)

         [ TFreq,Phase ] = ...
            TF(squeeze(data(trial_nr,:,chan_nr)),200,tlim,60,numWin,[3 0.5],2);
        
        TFmat(trial_nr,:,:) = TFreq;
        Phmat(trial_nr,:,:) = Phase; 
        
    end

    [token, rem] = strtok(inputname(1),'_');
    
    eval(['TF' token ' = TFmat ;']);
    eval(['Ph' token ' = Phmat ;']);
    
    
    
    save([OUTpath 'TF_' token '_ch' num2str(chan_nr) ], ['TF' token],['Ph' token],'dispf','dispt','-v6');

end