function [tongue, leftfinger, rightfinger, leftfoot, rightfoot,relax] = bci_extractData(name,ch_num)

% [tongue, leftfinger, rightfinger, leftfoot, rightfoot] = bci_extractData(name,ch_num)
%
% extracts the binary data from the original EEG files
% and saves them into seperate matrices (trials x sample points x channels)
% for each condition
%

% type in the name of your encoded data file
INdir = [bci_path 'EEGdata/00_raw/'];
OUTdir = [bci_path 'EEGdata/01_decoded/'];
file = dir([INdir '*' name '*.mat'])

tongue = [];
rightfinger = [];
leftfinger = [];
rightfoot = [];
leftfoot = [];
relax = [];

trial_length = 550;

for s = 1:length(file);

    sprintf('Decoding data Trial %i - file: %s',s,file(s).name)

    % load data into workspace
    load([INdir file(s).name])

    % matrix with: trials x samples x channels 
    data_size = size(decode_data(eeg_data{1},ch_num))
    
%     keyboard
    
    % Tongue
    tongue_trials = find(ra_tri == 1)
    len = size(tongue_trials,2)
    Tongue_data = zeros(len,trial_length,ch_num);
    for i=1:len
        disp(strcat('Tongue Trial no: ',num2str(i)))
        tmp = decode_data(eeg_data{tongue_trials(i)},ch_num);
        Tongue_data(i,:,:) = tmp(1:trial_length,:);
    end
    tongue = [tongue ; Tongue_data];

    % Rightfinger
    right_finger_trials = find(ra_tri == 2)
    len = size(right_finger_trials,2)
    right_finger_data = zeros(len,trial_length,ch_num);
    for i=1:len
        disp(strcat('right_finger Trial no: ',num2str(i)))
        tmp = decode_data(eeg_data{right_finger_trials(i)},ch_num);
        right_finger_data(i,:,:) = tmp(1:trial_length,:);
    end
    rightfinger = [rightfinger ; right_finger_data];


    % Leftfinger
    left_finger_trials = find(ra_tri == 3)
    len = size(left_finger_trials,2)
    left_finger_data = zeros(len,trial_length,ch_num);
    for i=1:len
        disp(strcat('left_finger Trial no: ',num2str(i)))
        tmp = decode_data(eeg_data{left_finger_trials(i)},ch_num);
        left_finger_data(i,:,:) = tmp(1:trial_length,:);
    end
    leftfinger = [leftfinger ; left_finger_data];

    % Rightfoot
    right_foot_trials = find(ra_tri == 4)
    len = size(right_foot_trials,2)
    right_foot_data = zeros(len,trial_length,ch_num);
    for i=1:len
        disp(strcat('right_foot Trial no: ',num2str(i)))
        tmp = decode_data(eeg_data{right_foot_trials(i)},ch_num);
        right_foot_data(i,:,:) = tmp(1:trial_length,:);
    end
    rightfoot = [rightfoot ; right_foot_data];

    % Leftfoot
    left_foot_trials = find(ra_tri == 5)
    len = size(left_foot_trials,2)
    left_foot_data = zeros(len,trial_length,ch_num);
    for i=1:len
        disp(strcat('left_foot Trial no: ',num2str(i)))
        tmp = decode_data(eeg_data{left_foot_trials(i)},ch_num);
        left_foot_data(i,:,:) = tmp(1:trial_length,:);
    end
    leftfoot = [leftfoot ; left_foot_data];
    
    % Relax
    relax_trials = find(ra_tri == 6)
    len = size(relax_trials,2)
    Relax_data = zeros(len,trial_length,ch_num);
    for i=1:len
        disp(strcat('Relax Trial no: ',num2str(i)))
        tmp = decode_data(eeg_data{relax_trials(i)},ch_num);
        Relax_data(i,:,:) = tmp(1:trial_length,:);
    end
    relax = [relax ; Relax_data];
    
end
save([OUTdir name],'tongue','leftfinger','rightfinger','leftfoot','rightfoot','relax')
