function [tongue ,  leftfinger , rightfinger , leftfoot , rightfoot] = bci_fromContSig(name)

% extracts trials from the continuous data, using the markers in the first 
% channel


INdir = '~/Turk/EEGdata/00_raw/';
OUTdir = '~/Turk/EEGdata/01_decoded/';
file = dir([INdir '*' name '*.mat'])
file(1).name

tongue = [],  
leftfinger = [], 
rightfinger = [],
leftfoot = [], 
rightfoot = [],


% load data into workspace
load([INdir file(1).name])

% matrix with trials x samples x channels (+1 for the conditionID)
data_size = size(eeg_data)

t=740 % first sample point
i = 1; % trial number
currentCondition = -1;
oldCondition = -1;

ton = 1;
rfi = 1;
lfi = 1;
rfo = 1;
lfo = 1;
rel = 1;

while t < length(eeg_data(:,1))-1000
    t = t+1;
    
    % begin a new trial 'recording' when a new trial ID appears
    if eeg_data(t,1) ~= 0
        tmp = eeg_data(t-200:t,:); % copy the prestim interval of 1 second
        currentCondition = eeg_data(t,1);
        
        % go allong the signal and copy each sample (for all channels)
        % until the condition changes
        while eeg_data(t,1) == currentCondition

            t = t+1;
            tmp = [tmp ; eeg_data(t,:)];
        end

        t=t+1;
        switch currentCondition
            case 1
                tongue(ton,:,:) = tmp(1:500,2:end);
                ton = ton + 1;
            case 2
                rightfinger(rfi,:,:) = tmp(1:500,2:end);
                rfi = rfi + 1;

            case 3
                leftfinger(lfi,:,:) = tmp(1:500,2:end);
                lfi = lfi +1;

            case 4
                rightfoot(rfo,:,:) = tmp(1:500,2:end);
                rfo = rfo +1;

            case 5
                leftfoot(lfo,:,:) = tmp(1:500,2:end);
                lfo = lfo + 1;
                
            case 6
                relax(rel,:,:) = tmp(1:500,2:end);
                rel = rel + 1;
                
            otherwise
                'error'
        end
        i = i+1
    end
    

end % while - run through all sample points

sprintf('Number of extracted trials: %i .',i)

save([OUTdir name], 'tongue', 'rightfinger', 'leftfinger', 'rightfoot', 'leftfoot','relax','-v6')

%
%
% c0 = find(eeg_data(:,1)==0);
% c1 = find(eeg_data(:,1)==1);
% c2 = find(eeg_data(:,1)==2);
% c3 = find(eeg_data(:,1)==3);
% c4 = find(eeg_data(:,1)==4);
% c5 = find(eeg_data(:,1)==5);
% c6 = find(eeg_data(:,1)==6);
%
% c1l=length(c1)/length(eeg_data(:,1))