function bci_plotTF(channel)

% plots the extracted frequency amplitutes for all 5 conditions against each 
% other for the indicated channel. 

% this is now the 28 channel version ..latteralities as the
% device indicates (not std)!
ename = ['E1'; 'E2'; 'E3'; 'E4'; 'E5'; 'E6'; 'F1'; 'F2';'F3'; 'F4';...
    'C3'; 'C4'; 'P3'; 'P4'; 'FN' ;'Fz';'F7'; 'F8'; 'A1'; 'A2';...
    'T3'; 'T5'; 'T6'; 'O1'; 'O2'; 'Cz'; 'Pz'; 'Oz'];

condi = {'tongue', 'leftfinger', 'rightfinger', 'leftfoot', 'rightfoot'};
col = {'k', 'b', 'g', 'm', 'r'};

INdir = '~/Turk/EEGdata/TFv6/';
num_f = 8;

for i = 1:5
    load([INdir 'TF_' condi{i} '_ch' num2str(channel) '.mat']);
end

% baseline roughly -200 to -100
baseln = find(dispt < -20)

figure('Name',['ERP channel ' ename(channel,:) ' frequencies 1 - 4'])

for f = 1:floor(num_f/2);

    subplot(floor(num_f/2),3,[(f-1)*3+1:(f-1)*3+3])
    hold on;

    for i = 1:5
        % condi{i}
        eval(['data = TF' condi{i} ';']);
        ch_data = squeeze(data(:,f,:));

        % do baseline removal here

        TFav = sum(ch_data,1);
        ch_std = std(ch_data,1);
        ch_std_mean = ch_std/sqrt(size(ch_data,1));

        mbase = mean(TFav(:,baseln),2);
        TFnorm =  10 * (log10(TFav) - repmat(log10(mbase(1:size(TFav,1))),[1 size(TFav,2)]));

        plot(TFnorm,col{i})
    end

end

figure('Name',['ERP channel ' ename(channel,:) ' frequencies 5 - 8'])

for f = (floor(num_f/2)+1):num_f;

    subplot(num_f-(floor(num_f/2)),3,[(f-(floor(num_f/2)+1))*3+1:(f-(floor(num_f/2)+1))*3+3])
    hold on;

    for i = 1:5
        % condi{i}
        eval(['data = TF' condi{i} ';']);
        ch_data = squeeze(data(:,f,:));

        % do baseline removal here

        TFav = sum(ch_data,1);
        ch_std = std(ch_data,1);
        ch_std_mean = ch_std/sqrt(size(ch_data,1));

        mbase = mean(TFav(:,baseln),2);
        TFnorm =  10 * (log10(TFav) - repmat(log10(mbase(1:size(TFav,1))),[1 size(TFav,2)]));

        plot(TFnorm,col{i})
    end

end