function data_vector_filtered = bci_toContSig(name)
% converts a number of trials into a continuous signal
% with a 200 ms bridging to smooth the offsets between trials 

% type in the name of your encoded data file
INdir = '~/Turk/EEGdata/00_raw/';
OUTdir = '~/Turk/EEGdata/04_continuous/';
file = dir([INdir '*' name '*.mat'])
file(1).name

% load data into workspace
load([INdir file(1).name])

% matrix with trials x samples x channels (+1 for the conditionID)
data_size = size(decode_data(eeg_data{1},28+1))

num_trials = length(eeg_data);
num_ch = 28;
data = zeros(num_trials,1200,data_size(2));


for i=1:num_trials
    disp(strcat('Trial no: ',num2str(i)))
    tmp = decode_data(eeg_data{i},28);
    data(i,:,:) = [tmp(201:1400,:) ones(1200,1)*ra_tri(i)];
    
end

'reshaping'
data_vector = [];

for i = 1:size(data,1)
data_vector = [data_vector; squeeze(data(i,:,:))];
end

 
% calculate interpolation between trial end and new trial beginning
% dont fiddle around with the last channel here, as that one is the trialID!
interval = 200;
for i = num_trials-1;
a = data_vector(i*1200,1:num_ch);
b = data_vector(i*1200+1,1:num_ch);
step_size = b-a; % the difference that has to be bridged..
change = step_size/(interval-1)
%ceil(abs(step_size/(interval))).*sign(step_size);
steps = 1:1:(interval);

bridge = repmat(steps',1,num_ch).*repmat(change,interval,1);
correction = data_vector(i*1200-interval+1:i*1200,1:num_ch) + bridge;

data_vector(i*1200-interval+1:i*1200,1:num_ch) = round(correction);
end

dlmwrite([OUTdir 'EEG_' name '.dat'],data_vector,' ')
