% /*---------------------------------------------------------------------------
%  *The feature extraction function
%  *eNTERFACE 2007 Istanbul, Team 8
%  *http://www.cmpe.boun.edu.tr/enterface07/
%  *rewritten in c by Mohammad Soleymani mohammad.soleymani@cui.unige.ch
%  */

function [featVect]= tfFeatExtractor(tSeries,fS,filtSwitch);
%tSeries :          The input time series of EEG 
% fS:               sampling rate
% filtSwitch:       The bandpass filter switch
timeInt=[1:5];
freqB=[3:14];
fftPoints=64;
windowSize=64;
overlap=32;

resampled=0;
if length(tSeries)<windowSize+ 99 & fS==200
    disp('Error!! not enough samples' );
    return
        

end
if filtSwitch & fS==200 & length(tSeries)>99
    if ~resampled
               load filterBandPass5_40Hz_fs200Hz % length 102
        %load Bandpass_12_40HzBeta
    end
    ts=filter(Num,1,tSeries);
    ts= ts(length(Num):end);


elseif   filtSwitch & fS==1024 & length(tSeries)>384
    load filter_4-45Hz_fe1024_384
    ts=filter(Num,1,tSeries);
    ts= ts(length(Num):end);
else
    ts=tSeries;
end
[Y,F,T]=spectrogram(ts,windowSize,overlap,fftPoints,fS);
%arCoeffs = aryule(ts,5);
featVectT=abs(Y(find(F>4 & F<42),:));
%freqs=abs(fft(tSeries,64));

% [C,L] = wavedec(ts,3,'db6');
featVect=[featVectT(:); mean(tSeries) ];% arCoeffs'];%;C(L(2):L(4))'];
%featVect=[mean(ts); var(ts); arCoeffs']';%;C(L(2):L(4))'];
% featVect(find(isnan(featVect)==1)) = 0;



